For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all Ips

This endpoint enables retrieving all Ips using pagination and optional filters.

get
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
Responses
200

Returned all requested Ips successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of EdgeServerIpInfo resources.

Example: ad9aca4e-2ccd-508b-8c8f-c47e5104375e
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of EdgeServerIpInfo resources.

Example: /ips
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/ips
GET /ips HTTP/1.1
Host: cdn.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "ad9aca4e-2ccd-508b-8c8f-c47e5104375e",
  "type": "collection",
  "href": "/ips",
  "items": [
    {
      "id": "96b6bdc3-57d6-5433-bde8-15929e828ea6",
      "type": "edgeserveripinfo",
      "href": "/ips/96b6bdc3-57d6-5433-bde8-15929e828ea6",
      "metadata": {},
      "properties": {
        "type": "ipv4",
        "cidr": "1.2.3.4",
        "description": "Content Distribution."
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?